{-| Module  : FiniteCategories
Description : An example of 'FullSubcategory' of __'FinGrph'__ exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

An example of 'FullSubcategory' of __'FinGrph'__ exported with GraphViz.

Export the category in the directory "OutputGraphViz\/Examples\/FiniteCategories\/FinGrph".
-}
module Math.FiniteCategories.FinGrph.Example
(
    main
)
where
    import              Data.WeakSet        (Set)
    import qualified    Data.WeakSet    as  Set
    import              Data.WeakSet.Safe
    import              Data.WeakMap        (Map)
    import qualified    Data.WeakMap    as  Map
    import              Data.WeakMap.Safe
    import              Data.Text           (Text, pack)
    
    import              Math.Categories  
    import              Math.FiniteCategories
    import              Math.IO.FiniteCategories.ExportGraphViz
    
    import              Numeric.Natural
    
    
    -- | A 'FullSubcategory' __'FinGrph'__ exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.FinGrph.Example"
        let c = FullSubcategory FinGrph $ (underlyingGraphFormat id (const.pack $ "")).numberCategory <$> set [0..2] :: FullSubcategory (FinGrph Natural Text) (GraphHomomorphism Natural Text) (Graph Natural Text)
        catToPdf c "OutputGraphViz/Examples/FiniteCategories/FinGrph/FinGrph"
        putStrLn "End of Math.FiniteCategories.FinGrph.Example"