{-| Module  : FiniteCategories
Description : Six examples of 'NumberCategory' exported with GraphViz.
Copyright   : Guillaume Sabbagh 2022
License     : GPL-3
Maintainer  : guillaumesabbagh@protonmail.com
Stability   : experimental
Portability : portable

Six examples of 'NumberCategory' exported with GraphViz.

Export categories __0__ up to __5__ in the directory "OutputGraphViz\/Examples\/FiniteCategories\/NumberCategory".
-}
module Math.FiniteCategories.NumberCategory.Example
(
    main
)
where
    import Math.FiniteCategories.NumberCategory
    import Math.IO.FiniteCategories.ExportGraphViz
    
    -- | Six examples of 'NumberCategory' exported with GraphViz.
    main :: IO ()
    main = do
        putStrLn "Start of Math.FiniteCategories.NumberCategory.Example"
        let cats = numberCategory <$> [0..5]
        let exports = uncurry catToPdf <$> zip cats (("OutputGraphViz/Examples/FiniteCategories/NumberCategory/"++) <$> show <$> [0..5])
        sequence exports
        putStrLn "End of Math.FiniteCategories.NumberCategory.Example"